from LamDelosmeTemperatureSchedule import LamDelosmeTemperatureSchedule

def testLDSchedule():
	initialBurnIter = 5
	tauIter = 3
	La = 2
	Lb = 2
	Lambda = 0.5
	sTemp0 = 1.
	myTS = LamDelosmeTemperatureSchedule(initialBurnIter,tauIter,La,Lb,Lambda,sTemp0)
	energyValues = [5.,3.,2.,4.,1.]
	#print myTS.Lambda
	for value in energyValues:
		myTS.initialBurnUpdate(value)
	myTS.initializeParameters()
	run1 = [5.,3.,2.]
	run2 = [3.5,4.,2.4]
	run3 = [2.3,1.5,1.]
	rho1 = [1.,.5,.33]
	rho2 = [.4,.45,.3]
	rho3 = [.2,.35,.44]
	
	for pair in zip(run1,rho1):
		value = pair[0]
		rho = pair[1]
		myTS.standardUpdate(value,rho)
	myTS.parameterUpdate()
	for pair in zip(run2,rho2):
		value = pair[0]
		rho = pair[1]
		myTS.standardUpdate(value,rho)
	myTS.parameterUpdate()
	for pair in zip(run3,rho3):
		value = pair[0]
		rho = pair[1]
		myTS.standardUpdate(value,rho)
	myTS.parameterUpdate()
	return myTS
